package com.ruoyi.system.service;

import com.ruoyi.system.domain.EtOperatingArea;
import com.ruoyi.system.domain.EtOrder;

import javax.servlet.http.HttpServletRequest;

/**
 * 订单支付回调 service

 */
public interface CallbackService {
    /**
     * 微信支付回调
     * @param request 微信回调json
     * @return String
     */
    void weChat(HttpServletRequest request);

    /**
     * 微信退款回调
     * @param request 微信回调json
     * @return String
     */
    void weChatRefund(HttpServletRequest request);

    /**
     * 新增资金流水记录
     * @param order 订单
     * @param type 类型
     * @param busType 业务类型
     * @return void
     */
    public void capitalFlowRecords(EtOrder order, String type, String busType);

    /**
     * 分红处理
     * @param transactionId 订单号
     * @param order 订单
     * @param area 运营区域
     * @return boolean
     */
    public boolean dividendHandle(String transactionId, EtOrder order, EtOperatingArea area);

}
